package com.pcloud.book.applet.enums;

public enum AppletRecordTypeEnum {

    //   1资讯
    NEWS(1, "资讯资源"),
    //编辑群
    ADVISER_GROUP(2, "社群"),
    //模板群
    MODEL_GROUP(3, "社群"),
    //第三方群
    THIRD_GROUP(4, "社群"),
    //作品
    PRODUCT(5, ""),
    //应用
    APP(6, ""),
    //书刊
    BOOK(7, "已读书籍"),
    //好书推荐
    BOOK_RECOMMEND(8, "好书推荐"),
    //精选书单
    BOOK_LIST(9, "精选书单"),
    //企业微信客服
    WX_WORK_TEACHER(10, "微信客服"),

    //第三方资源
    THIRD_RESOURCE(11, "第三方资源"),

    RAISE_QUESTION(20,"小睿互助问题"),

    SELF_COUPON(21,"自定义优惠券"),

    SYS_COUPON(22,"系统优惠券");

    public Integer value;

    public String desc;

    AppletRecordTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    AppletRecordTypeEnum(Integer value) {
        this.value = value;
    }
}
